package com.ss.android.ugc.aweme.kids.profile.utils;

import X.0CB;
import X.0CH;
import X.6Is;
import X.CjE;
import X.ESJ;
import X.ESK;
import X.ESM;
import X.M12;
import android.animation.AnimatorSet;
import android.view.View;
import android.view.ViewGroup;
import com.bytedance.covode.number.Covode;
import com.bytedance.keva.Keva;
import com.bytedance.widget.Widget;
import com.ss.android.ugc.aweme.kids.intergration.account.KidsAccountServiceImpl;
import java.util.concurrent.TimeUnit;
import kotlin.h.b.n;

public class MyProfileReportWidget extends Widget implements 6Is {
    public static final ESM LJIIIIZZ = new ESM((byte) 0);
    public View LJI;
    public AnimatorSet LJII;

    static {
        Covode.recordClassIndex(89836);
    }

    public void onStateChanged(0CH r1, 0CB r2) {
        super.onStateChanged(r1, r2);
    }

    public final void LIZLLL() {
        super.LIZLLL();
        Integer userPeriod = KidsAccountServiceImpl.LJII().LIZIZ().getUserPeriod();
        if (userPeriod != null && userPeriod.intValue() == 1) {
            long j = Keva.getRepo("ftc_report").getLong("ftc_report_first_show_time", 0);
            if (j == 0 || System.currentTimeMillis() - j <= TimeUnit.DAYS.toMillis(30)) {
                if (System.currentTimeMillis() - Keva.getRepo("ftc_report").getLong("ftc_report_last_show_time", 0) > TimeUnit.DAYS.toMillis(1)) {
                    View view = this.LJ;
                    if (view == null) {
                        n.LIZIZ();
                    }
                    ESJ esj = (ESJ) view.findViewById(2131372924);
                    if (esj == null) {
                        n.LIZIZ();
                    }
                    esj.setTitleText(2131827201);
                    esj.setOnInternalClickListener(new ESK(esj));
                    this.LJI = esj;
                    esj.post(new CjE(this, esj));
                }
            }
        }
    }

    public MyProfileReportWidget(ViewGroup viewGroup) {
        M12.LIZ(viewGroup);
        this.LJ = viewGroup;
    }
}
